-- Copyright (c) 2024 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at: http://license.coscl.org.cn/MulanPSL2
--
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.

local speed = Input
local speed_map = {
    1.5, 3, 6, 12, 2.5, 5, 8, 10, 16, 20, 30, 32, 40, 64, 80, 96, 128, 160, 256, 22.5
}

if not speed_map[speed] then
    return null
end

local num_str = string.format('%.2f', speed_map[speed])
return tonumber(num_str)